Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## DataClasses
Class Stock_Data

    java.lang.Object
      DataClasses.Stock_Data

public class Stock_Data
extends java.lang.Object

Author:
  student This class is being used for holding the information regarding stocks.

Field Summary
`private java.lang.String` | `baseValue`
`private java.lang.String` | `companyName`
`private java.lang.String` | `dividendsPerShare`
`private float` | `divYield`
`private java.lang.String` | `earningsPerShare`
`private float` | `peRatio`
`private float` | `price`
`private java.lang.String` | `quantity`
`private java.lang.String` | `stockCode`
`private boolean` | `visible`
`private java.lang.String` | `weekHigh`
`private java.lang.String` | `weekLow`

Constructor Summary
`Stock_Data()` This is the constructor for Stock_Data.java
`Stock_Data(java.lang.String code, java.lang.String name, java.lang.String high, java.lang.String low, java.lang.String bv, java.lang.String eps, java.lang.String dps)` This is the constructor for Stock_Data.java

Method Summary
`java.lang.String` | `getBaseValue()` This method is being used for getting the base value of the stock.
`java.lang.String` | `getCompanyName()` This method is being used for getting the company name field.
`java.lang.String` | `getDividendsPerShare()` This method is being used for getting the dividends per share value of the stock.
`float` | `getDivYield()` This method is being used for getting the dividend yield of the stock.
`java.lang.String` | `getEarningsPerShare()` This method is being used for getting the earnings per share value of the stock.
`float` | `getPeRatio()` This method is being used for getting the pe ration of the stock.
`float` | `getPrice()` This method is being used for getting the current share price.
`java.lang.String` | `getQuantity()`
`java.lang.String` | `getServiceCode()` This method is being used for getting the service code for the stock trading platform.
`java.lang.String` | `getServiceRequest()` This method is being used for getting the service request field.
`java.lang.String` | `getServiceResponse()` This method is being used for getting the srvice response field.
`java.lang.String` | `getStockCode()` This method is being used for getting the stock code field.
`boolean` | `getVisible()` Method: getVisible This method is being used for getting the visible field.
`java.lang.String` | `getWeekHigh()` This method is being used for getting the 52-week high value of the stock.
`java.lang.String` | `getWeekLow()` This method is being used for getting the 52-week low value of the stock.
`void` | `setBaseValue(java.lang.String bv)` This method is being used for setting the base value of the stock.
`void` | `setCompanyName(java.lang.String name)` This method is being used for setting the stock issuing company name.
`void` | `setDividendsPerShare(java.lang.String dps)` This method is being used for seeting the dividends per share value of the stock.
`void` | `setDivYield(float d)` This method is being used for setting the dividend yield of the stock.
`void` | `setEarningsPerShare(java.lang.String eps)` This method is being used for setting the earnings per share value of the stock.
`void` | `setPeRatio(float p)` This method is being used for setting the pe ratio of the stock.
`void` | `setPrice(float p)` This method is being used for setting the current share price.
`void` | `setQuantity(java.lang.String q)` Method: setQuantity This method is being used for setting the quantity
`void` | `setStockCode(java.lang.String code)` This method is being used for setting the stock code field.
`void` | `setVisible(boolean b)` This method is being used for setting the visible field.
`void` | `setWeekHigh(java.lang.String high)` This method is being used for setting the 52-week high value of the stock.
`void` | `setWeekLow(java.lang.String low)` Method: setWeekLow This method is being used for setting the 52-week low value of the stock.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### baseValue

    private java.lang.String baseValue

### companyName

    private java.lang.String companyName

### dividendsPerShare

    private java.lang.String dividendsPerShare

### divYield

    private float divYield

### earningsPerShare

    private java.lang.String earningsPerShare

### peRatio

    private float peRatio

### price

    private float price

### quantity

    private java.lang.String quantity

### stockCode

    private java.lang.String stockCode

### visible

    private boolean visible

### weekHigh

    private java.lang.String weekHigh

### weekLow

    private java.lang.String weekLow

Constructor Detail

### Stock_Data

    public Stock_Data()

  This is the constructor for Stock_Data.java

### Stock_Data

    public Stock_Data(java.lang.String code,
                      java.lang.String name,
                      java.lang.String high,
                      java.lang.String low,
                      java.lang.String bv,
                      java.lang.String eps,
                      java.lang.String dps)

  This is the constructor for Stock_Data.java

Method Detail

### getBaseValue

    public java.lang.String getBaseValue()

  This method is being used for getting the base value of the stock.

  Returns:
    String The base value around which the share prices are generated

### getCompanyName

    public java.lang.String getCompanyName()

  This method is being used for getting the company name field.

  Returns:
    String The company name.

### getDividendsPerShare

    public java.lang.String getDividendsPerShare()

  This method is being used for getting the dividends per share value of the stock.

  Returns:
    String

### getDivYield

    public float getDivYield()

  This method is being used for getting the dividend yield of the stock.

  Returns:
    float The dividend yield.

### getEarningsPerShare

    public java.lang.String getEarningsPerShare()

  This method is being used for getting the earnings per share value of the stock.

  Returns:
    String The earnings per share value of the stock.

### getPeRatio

    public float getPeRatio()

  This method is being used for getting the pe ration of the stock.

  Returns:
    float The PE ratio.

### getPrice

    public float getPrice()

  This method is being used for getting the current share price.

  Returns:
    float The current share price.

### getQuantity

    public java.lang.String getQuantity()

### getServiceCode

    public java.lang.String getServiceCode()

  This method is being used for getting the service code for the stock trading platform.

  Returns:
    String Service code that is to be used in TMS.

### getServiceRequest

    public java.lang.String getServiceRequest()

  This method is being used for getting the service request field.

  Returns:
    String Service request that is to be used in TMS.

### getServiceResponse

    public java.lang.String getServiceResponse()

  This method is being used for getting the srvice response field.

  Returns:
    String Service response that is to be used in TMS.

### getStockCode

    public java.lang.String getStockCode()

  This method is being used for getting the stock code field.

  Returns:
    String The stock code.

### getVisible

    public boolean getVisible()

  Method: getVisible This method is being used for getting the visible field.

  Returns:
    boolean Whether the stock price is currently visible on the graph.

### getWeekHigh

    public java.lang.String getWeekHigh()

  This method is being used for getting the 52-week high value of the stock.

  Returns:
    String The 52-week high value

### getWeekLow

    public java.lang.String getWeekLow()

  This method is being used for getting the 52-week low value of the stock.

  Returns:
    String The 52-week low value

### setBaseValue

    public void setBaseValue(java.lang.String bv)

  This method is being used for setting the base value of the stock.

  Parameters:
    `bv` - The base value around which share prices are generated.
  Returns:
    void

### setCompanyName

    public void setCompanyName(java.lang.String name)

  This method is being used for setting the stock issuing company name.

  Parameters:
    `name` - The company name
  Returns:
    void

### setDividendsPerShare

    public void setDividendsPerShare(java.lang.String dps)

  This method is being used for seeting the dividends per share value of the stock.

  Parameters:
    `dps` - The dividends per share value
  Returns:
    void

### setDivYield

    public void setDivYield(float d)

  This method is being used for setting the dividend yield of the stock.

  Parameters:
    `d` - The dividend yield.
  Returns:
    void

### setEarningsPerShare

    public void setEarningsPerShare(java.lang.String eps)

  This method is being used for setting the earnings per share value of the stock.

  Parameters:
    `eps` - The earnings per share
  Returns:
    void

### setPeRatio

    public void setPeRatio(float p)

  This method is being used for setting the pe ratio of the stock.

  Parameters:
    `p` - The PE ratio.
  Returns:
    void

### setPrice

    public void setPrice(float p)

  This method is being used for setting the current share price.

  Parameters:
    `p` - The current share price.
  Returns:
    void

### setQuantity

    public void setQuantity(java.lang.String q)

  Method: setQuantity This method is being used for setting the quantity

  Parameters:
    `q` - void

### setStockCode

    public void setStockCode(java.lang.String code)

  This method is being used for setting the stock code field.

  Parameters:
    `code` - The stock code
  Returns:
    void

### setVisible

    public void setVisible(boolean b)

  This method is being used for setting the visible field.

  Parameters:
    `b` - Whether the stock is visible on the graph.
  Returns:
    void

### setWeekHigh

    public void setWeekHigh(java.lang.String high)

  This method is being used for setting the 52-week high value of the stock.

  Parameters:
    `high` - The 52-week high value
  Returns:
    void

### setWeekLow

    public void setWeekLow(java.lang.String low)

  Method: setWeekLow This method is being used for setting the 52-week low value of the stock.

  Parameters:
    `low` - The 52-week low value
  Returns:
    void

### toString

    public java.lang.String toString()

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD